DirectoryIterator::isDot
DirectoryIterator::isFile
DirectoryIterator
PHP Manual

# DirectoryIterator::isExecutable

(PHP 5 <= 5.1.1)

DirectoryIterator::isExecutable — Determine if current DirectoryIterator item is executable

### Description

public bool DirectoryIterator::isExecutable ( void )

Determines if the current DirectoryIterator item is executable.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if the entry is executable, otherwise `FALSE`

### Examples

Example #1 DirectoryIterator::isExecutable() example

This example lists files in the directory containing the script which are executable.

`<?php
$iterator = new DirectoryIterator(dirname(__FILE__));
foreach ($iterator as $fileinfo) {
if ($fileinfo->isExecutable()) {
echo $fileinfo->getFilename() . "\n";
}
}
?>`

The above example will output something similar to:

    example.php
    myscript.sh

### See Also

- DirectoryIterator::isReadable - Determine if current DirectoryIterator item can be read
- DirectoryIterator::isWritable - Determine if current DirectoryIterator item can be written to
- DirectoryIterator::getPerms - Get the permissions of current DirectoryIterator item

DirectoryIterator::isDot
DirectoryIterator::isFile
DirectoryIterator
PHP Manual